import javax.swing.*;
public class wetairtest7
{ // adiabatic cooling process
public static void main(String arg[])
{
wetair wa=new wetair();
double m1=1.0;//  kg/s
double p=1.01325;//  bar
double t1=32.0;//  degree C
double rh1=0.06;
double t2=26.0;//  degree C
double a[]=wa.property("tdb_rh",t1,rh1,p);
double h1=a[8];
double w1=a[5];
double twb1=a[14];
double twb2=twb1;
//point 2
a=wa.property("tdb_twb",t2,twb2,p);
double h2=a[8];
double rh2=a[6];
double w2=a[5];
String s="m1="+m1+" kg/s\n";
s+="T1="+t1+" degree C h1="+h1+" kJ/kg  "+'\u00D8'+"1 ="+rh1*100+" % w1 = "+w1+" twb1 = "+twb1+" degree C\n";
s+="T2="+t2+" degree C h2="+h2+" kJ/kg  "+'\u00D8'+"2 ="+rh2*100+" % w2 = "+w2+" twb2 = "+twb2+" degree C\n";
JOptionPane.showMessageDialog(null,s);
}
}